SoQtCursor::CustomCursor(3)

NAME
SoQtCursor::CustomCursor - The SoQtCursor::CustomCursor class is used to specify bitmap data for SoQtCursor custom cursors.

SYNOPSIS

  Public Attributes
SbVec2s dim
SbVec2s hotspot
unsigned char * bitmap
unsigned char * mask

Detailed Description

The SoQtCursor::CustomCursor class is used to specify bitmap data for SoQtCursor custom cursors.

Member Data Documentation

  SbVec2s SoQtCursor::CustomCursor::dim
Size of cursor data. Can be anything from 1 pixel wide and high, up to maximum 32 pixels in each dimension.

  SbVec2s SoQtCursor::CustomCursor::hotspot
Position of cursor hotspot, ie the pixel of the cursor which is considered to be the 'pick point' when interacting with the canvas or widgets.

The hotspot position should be specified relative to the uppermost, leftmost corner (which is position <0, 0>).

  unsigned char * SoQtCursor::CustomCursor::bitmap
The size of the array of bitmap data should be equal to (width+7)/8*height, as each cursor pixel is specified with just two bits, one in the bitmap array, one in the mask array.

The bitmap and mask bits should be laid out as follows:

B=1 and M=1 == black
B=0 and M=1 == white
B=0 and M=0 == transparency
B=1 and M=0 will give undefined results for some platforms, so avoid.

  unsigned char * SoQtCursor::CustomCursor::mask
See doc of SoQtCursor::CustomCursor::bitmap.

Author

Generated automatically by Doxygen for SoQt from the source code.